.\" Copyright (c) 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)lorder.1	8.2 (Berkeley) 4/28/95
.\"
.Dd April 28, 1995
.Dt LORDER 1
.Os
.Sh NAME
.Nm lorder
.Nd list dependencies for object files
.Sh SYNOPSIS
.Nm
.Ar
.Sh DESCRIPTION
The
.Nm
utility uses
.Xr nm 1
to determine interdependencies in the list of object files
specified on the command line.
.Nm Lorder
outputs a list of file names where the first file contains a symbol
which is defined by the second file.
.Pp
The output is normally used with
.Xr tsort  1
when a library is created to determine the optimum ordering of the
object modules so that all references may be resolved in a single
pass of the loader.
.Sh EXAMPLES
.Bd -literal -offset indent
ar cr library.a `lorder ${OBJS} | tsort`
.Ed
.Sh SEE ALSO
.Xr ar 1 ,
.Xr ld 1 ,
.Xr nm 1 ,
.Xr ranlib 1 ,
.Xr tsort 1
.Sh HISTORY
A
.Nm
utility appeared in
.At v7 .
